var Rec43000_ParametroContasReceber_Service = function(Rec43000_ParametroContasReceber_Repository){

    //Indice 0 e 1 corresponde a row que vai ser salva na tabela Geral_Rec
    this.saveWidgets = function(rows, isNew){
        var dataSet = this.preparaRowGeralRec(rows, isNew);

        return Rec43000_ParametroContasReceber_Repository.saveWidgets(dataSet);
    };
    
    this.saveTabedsOperadores = function(row){
        return Rec43000_ParametroContasReceber_Repository.saveTabedsOperadores(row);
    };

    this.preparaRowGeralRec = function(rows, isNew){
        var dataSet = [];
        var cdgeralrec =
        dataSet.push({
            __is_new : isNew,
            CDGERALREC : rows[0].CDGERALREC,
            NRORG : rows[0].NRORG,
            CDAJMULTAREC : rows[0].CDAJMULTAREC,
            CDAJMORAREC : rows[0].CDAJMORAREC,
            CDAJACREREC : rows[0].CDAJACREREC,
            CDAJDESCREC : rows[0].CDAJDESCREC,
            IDBLOQINCNTR : rows[0].IDBLOQINCNTR || 'N',
            CDGROPERCNTR : rows[0].CDGROPERCNTR,
            IDTPCNTRLIB : rows[0].IDTPCNTRLIB || 'N',
            IDUTCTRLCANREMR : rows[0].IDUTCTRLCANREMR || 'S',
            IDBLOQALTBOLREC : rows[0].IDBLOQALTBOLREC || 'N',
            IDUTLNFDEVOLREC : rows[0].IDUTLNFDEVOLREC || 'N',
            IDUTBCOPREFCLIE : rows[0].IDUTBCOPREFCLIE || 'N',
            IDCOMPCHQBAIXA : rows[0].IDCOMPCHQBAIXA || 'S',
            IDEXTELACALAJUBX : rows[0].IDEXTELACALAJUBX || 'B',
            CDAJACRERENEGO : rows[0].CDAJACRERENEGO,
            CDAJDESCRENEGO : rows[0].CDAJDESCRENEGO,
            CDTPBXRENEGO : rows[0].CDTPBXRENEGO,
            IDUTLPRORVCREC : rows[0].IDUTLPRORVCREC || 'N',
            CDAJTXCARTCNAB : rows[0].CDAJTXCARTCNAB,
            CDMOTIPROR : rows[0].CDMOTIPROR,
            QTDIAANTLANR : rows[1].QTDIAANTLANR,
            QTDIAAPOLANR : rows[1].QTDIAAPOLANR,
            QTDIAANTBAIR : rows[1].QTDIAANTBAIR,
            QTDIAAPOBAIR : rows[1].QTDIAAPOBAIR,
            QTDIAANTBOLR : rows[1].QTDIAANTBOLR,
            QTDIAAPOBOLR : rows[1].QTDIAAPOBOLR,
            IDEXCLAJBBXR : rows[0].IDEXCLAJBBXR || 'N',
            IDUTENVBOLAUTO : rows[0].IDUTENVBOLAUTO || 'N',
            QTDIAANTENVBOL : rows[0].QTDIAANTENVBOL,
            IDUTENVCARTAUTO : rows[0].IDUTENVCARTAUTO || 'N',
            QTDIAPOSENVCAR : rows[0].QTDIAPOSENVCAR,
            CDTPBAIRENVBOL : rows[0].CDTPBAIRENVBOL,
            IDUTVISUBOLOPEL : rows[0].IDUTVISUBOLOPEL || 'N',
            CDOPEPERVISUBOL : rows[0].CDOPEPERVISUBOL
        });
        return dataSet;
    };
};
Configuration(function (ContextRegister){
    ContextRegister.register('Rec43000_ParametroContasReceber_Service', Rec43000_ParametroContasReceber_Service);
});